New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Uncaught Error: Requiring module "NativeModules" which threw an exception #6397

Closed
nowaits opened this Issue Mar 10, 2016 · 6 comments

Comments

Projects
None yet
8 participants
@nowaits

nowaits commented Mar 10, 2016

on Mac EI Captian React Native 0.22-stable

_**

ExceptionsManager.js:76Error: Requiring unknown module "ReactPerf", stack:
Error: Requiring unknown module "ReactPerf"
at requireImpl (require.js:53)
at _require (require.js:31)
at ReactPerf (Systrace.js:35)
at Object.Systrace.setEnabled (Systrace.js:51)
at Systrace.js:203
at requireImpl (require.js:71)
at _require (require.js:31)
at MessageQueue.js:16
at requireImpl (require.js:71)
at _require (require.js:31)reactConsoleError @ ExceptionsManager.js:76
debuggerWorker.js:18 Uncaught Error: Uncaught Error: Requiring module "NativeModules" which threw an exception

**_

@nowaits nowaits closed this Mar 11, 2016

@solome

This comment has been minimized.

Show comment
Hide comment
@solome

solome Mar 18, 2016

on Mac EI Captian in react-native@0.22.0-rc4

E/ReactNativeJS: Error: Requiring unknown module "ReactPerf", stack:
                                                                       r@file://index.android.bundle:1:623
                                                                       n@file://index.android.bundle:1:413
                                                                       i@file://index.android.bundle:4:12072
                                                                       setEnabled@file://index.android.bundle:4:24301
                                                                       file://index.android.bundle:4:13453
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       file://index.android.bundle:15:4872
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       file://index.android.bundle:15:11998
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       file://index.android.bundle:13:13222
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       file://index.android.bundle:15:10346
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       u@file://index.android.bundle:16:4177
                                                                       file://index.android.bundle:16:3958
                                                                       r@file://index.android.bundle:1:747
                                                                       r@file://index.android.bundle:1:476
                                                                       n@file://index.android.bundle:1:413
                                                                       global code@file://index.android.bundle:17:9067
PID: 26314
                                                                        java.lang.RuntimeException: java.util.concurrent.ExecutionException: java.lang.RuntimeException: Error: Requiring module "NativeModules" which threw an exception (file://index.android.bundle:1)
                                                                            at com.facebook.react.bridge.CatalystInstanceImpl.runJSBundle(CatalystInstanceImpl.java:171)
                                                                            at com.facebook.react.ReactInstanceManagerImpl.createReactContext(ReactInstanceManagerImpl.java:879)
                                                                            at com.facebook.react.ReactInstanceManagerImpl.access$700(ReactInstanceManagerImpl.java:104)
                                                                            at com.facebook.react.ReactInstanceManagerImpl$ReactContextInitAsyncTask.doInBackground(ReactInstanceManagerImpl.java:200)
                                                                            at com.facebook.react.ReactInstanceManagerImpl$ReactContextInitAsyncTask.doInBackground(ReactInstanceManagerImpl.java:183)
                                                                            at android.os.AsyncTask$2.call(AsyncTask.java:292)
                                                                            at java.util.concurrent.FutureTask.run(FutureTask.java:237)
                                                                            at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:231)
                                                                            at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1112)
                                                                            at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:587)
                                                                            at java.lang.Thread.run(Thread.java:818)
                                                                         Caused by: java.util.concurrent.ExecutionException: java.lang.RuntimeException: Error: Requiring module "NativeModules" which threw an exception (file://index.android.bundle:1)
                                                                            at com.facebook.react.common.futures.SimpleSettableFuture.get(SimpleSettableFuture.java:68)
                                                                            at com.facebook.react.bridge.CatalystInstanceImpl.runJSBundle(CatalystInstanceImpl.java:147)
                                                                            at com.facebook.react.ReactInstanceManagerImpl.createReactContext(ReactInstanceManagerImpl.java:879) 
                                                                            at com.facebook.react.ReactInstanceManagerImpl.access$700(ReactInstanceManagerImpl.java:104) 
                                                                            at com.facebook.react.ReactInstanceManagerImpl$ReactContextInitAsyncTask.doInBackground(ReactInstanceManagerImpl.java:200) 
                                                                            at com.facebook.react.ReactInstanceManagerImpl$ReactContextInitAsyncTask.doInBackground(ReactInstanceManagerImpl.java:183) 
                                                                            at android.os.AsyncTask$2.call(AsyncTask.java:292) 
                                                                            at java.util.concurrent.FutureTask.run(FutureTask.java:237) 
                                                                            at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:231) 
                                                                            at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1112) 
                                                                            at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:587) 
                                                                            at java.lang.Thread.run(Thread.java:818) 
                                                                         Caused by: java.lang.RuntimeException: Error: Requiring module "NativeModules" which threw an exception (file://index.android.bundle:1)
                                                                            at com.facebook.react.bridge.ReactBridge.loadScriptFromAssets(Native Method)
                                                                            at com.facebook.react.bridge.JSBundleLoader$1.loadScript(JSBundleLoader.java:32)
                                                                            at com.facebook.react.bridge.CatalystInstanceImpl$2.call(CatalystInstanceImpl.java:157)
                                                                            at com.facebook.react.bridge.CatalystInstanceImpl$2.call(CatalystInstanceImpl.java:148)
                                                                            at com.facebook.react.bridge.queue.MessageQueueThreadImpl$1.run(MessageQueueThreadImpl.java:73)
                                                                            at android.os.Handler.handleCallback(Handler.java:739)
                                                                            at android.os.Handler.dispatchMessage(Handler.java:95)
                                                                            at com.facebook.react.bridge.queue.MessageQueueThreadHandler.dispatchMessage(MessageQueueThreadHandler.java:31)
                                                                            at android.os.Looper.loop(Looper.java:135)
                                                                            at com.facebook.react.bridge.queue.MessageQueueThreadImpl$3.run(MessageQueueThreadImpl.java:187)
                                                                            at java.lang.Thread.run(Thread.java:818) 

solome commented Mar 18, 2016

on Mac EI Captian in react-native@0.22.0-rc4

E/ReactNativeJS: Error: Requiring unknown module "ReactPerf", stack:
                                                                       r@file://index.android.bundle:1:623
                                                                       n@file://index.android.bundle:1:413
                                                                       i@file://index.android.bundle:4:12072
                                                                       setEnabled@file://index.android.bundle:4:24301
                                                                       file://index.android.bundle:4:13453
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       file://index.android.bundle:15:4872
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       file://index.android.bundle:15:11998
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       file://index.android.bundle:13:13222
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       file://index.android.bundle:15:10346
                                                                       r@file://index.android.bundle:1:747
                                                                       n@file://index.android.bundle:1:413
                                                                       u@file://index.android.bundle:16:4177
                                                                       file://index.android.bundle:16:3958
                                                                       r@file://index.android.bundle:1:747
                                                                       r@file://index.android.bundle:1:476
                                                                       n@file://index.android.bundle:1:413
                                                                       global code@file://index.android.bundle:17:9067
PID: 26314
                                                                        java.lang.RuntimeException: java.util.concurrent.ExecutionException: java.lang.RuntimeException: Error: Requiring module "NativeModules" which threw an exception (file://index.android.bundle:1)
                                                                            at com.facebook.react.bridge.CatalystInstanceImpl.runJSBundle(CatalystInstanceImpl.java:171)
                                                                            at com.facebook.react.ReactInstanceManagerImpl.createReactContext(ReactInstanceManagerImpl.java:879)
                                                                            at com.facebook.react.ReactInstanceManagerImpl.access$700(ReactInstanceManagerImpl.java:104)
                                                                            at com.facebook.react.ReactInstanceManagerImpl$ReactContextInitAsyncTask.doInBackground(ReactInstanceManagerImpl.java:200)
                                                                            at com.facebook.react.ReactInstanceManagerImpl$ReactContextInitAsyncTask.doInBackground(ReactInstanceManagerImpl.java:183)
                                                                            at android.os.AsyncTask$2.call(AsyncTask.java:292)
                                                                            at java.util.concurrent.FutureTask.run(FutureTask.java:237)
                                                                            at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:231)
                                                                            at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1112)
                                                                            at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:587)
                                                                            at java.lang.Thread.run(Thread.java:818)
                                                                         Caused by: java.util.concurrent.ExecutionException: java.lang.RuntimeException: Error: Requiring module "NativeModules" which threw an exception (file://index.android.bundle:1)
                                                                            at com.facebook.react.common.futures.SimpleSettableFuture.get(SimpleSettableFuture.java:68)
                                                                            at com.facebook.react.bridge.CatalystInstanceImpl.runJSBundle(CatalystInstanceImpl.java:147)
                                                                            at com.facebook.react.ReactInstanceManagerImpl.createReactContext(ReactInstanceManagerImpl.java:879) 
                                                                            at com.facebook.react.ReactInstanceManagerImpl.access$700(ReactInstanceManagerImpl.java:104) 
                                                                            at com.facebook.react.ReactInstanceManagerImpl$ReactContextInitAsyncTask.doInBackground(ReactInstanceManagerImpl.java:200) 
                                                                            at com.facebook.react.ReactInstanceManagerImpl$ReactContextInitAsyncTask.doInBackground(ReactInstanceManagerImpl.java:183) 
                                                                            at android.os.AsyncTask$2.call(AsyncTask.java:292) 
                                                                            at java.util.concurrent.FutureTask.run(FutureTask.java:237) 
                                                                            at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:231) 
                                                                            at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1112) 
                                                                            at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:587) 
                                                                            at java.lang.Thread.run(Thread.java:818) 
                                                                         Caused by: java.lang.RuntimeException: Error: Requiring module "NativeModules" which threw an exception (file://index.android.bundle:1)
                                                                            at com.facebook.react.bridge.ReactBridge.loadScriptFromAssets(Native Method)
                                                                            at com.facebook.react.bridge.JSBundleLoader$1.loadScript(JSBundleLoader.java:32)
                                                                            at com.facebook.react.bridge.CatalystInstanceImpl$2.call(CatalystInstanceImpl.java:157)
                                                                            at com.facebook.react.bridge.CatalystInstanceImpl$2.call(CatalystInstanceImpl.java:148)
                                                                            at com.facebook.react.bridge.queue.MessageQueueThreadImpl$1.run(MessageQueueThreadImpl.java:73)
                                                                            at android.os.Handler.handleCallback(Handler.java:739)
                                                                            at android.os.Handler.dispatchMessage(Handler.java:95)
                                                                            at com.facebook.react.bridge.queue.MessageQueueThreadHandler.dispatchMessage(MessageQueueThreadHandler.java:31)
                                                                            at android.os.Looper.loop(Looper.java:135)
                                                                            at com.facebook.react.bridge.queue.MessageQueueThreadImpl$3.run(MessageQueueThreadImpl.java:187)
                                                                            at java.lang.Thread.run(Thread.java:818) 
@zsajjad

This comment has been minimized.

Show comment
Hide comment
@zsajjad

zsajjad Apr 19, 2016

@nowaits what was the solution?

zsajjad commented Apr 19, 2016

@nowaits what was the solution?

@Mr7Cat

This comment has been minimized.

Show comment
Hide comment
@Mr7Cat

Mr7Cat Apr 21, 2016

the solution?

Mr7Cat commented Apr 21, 2016

the solution?

@skeie

This comment has been minimized.

Show comment
Hide comment
@skeie

skeie Apr 27, 2016

I also get this error. Do anyone have a solution?

skeie commented Apr 27, 2016

I also get this error. Do anyone have a solution?

@vonovak

This comment has been minimized.

Show comment
Hide comment
@vonovak

vonovak May 2, 2016

Contributor

I have met this error elsewhere, but this might help: if you run npm list you'll probably see some error about unmet dependency, solve it by npm install missing_stuff (edited)

Contributor

vonovak commented May 2, 2016

I have met this error elsewhere, but this might help: if you run npm list you'll probably see some error about unmet dependency, solve it by npm install missing_stuff (edited)

@huyn

This comment has been minimized.

Show comment
Hide comment
@huyn

huyn May 3, 2016

as @vonovak said, run 'npm list' to check what is wrong about your dependency. but only 'npm install' may not be enough. I have met the same error, but my logs indicate 'peer dep missing: react@^0.14.5', so I add '"react":"0.14.5"' to dependencies in package.json, it worked.

huyn commented May 3, 2016

as @vonovak said, run 'npm list' to check what is wrong about your dependency. but only 'npm install' may not be enough. I have met the same error, but my logs indicate 'peer dep missing: react@^0.14.5', so I add '"react":"0.14.5"' to dependencies in package.json, it worked.

@facebook facebook locked as resolved and limited conversation to collaborators May 24, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.